com.unitech.lib.uhf.module.impinj.types

## Enum PowerModeLevel

- java.lang.Object
- - java.lang.Enum<PowerModeLevel>
  - - com.unitech.lib.uhf.module.impinj.types.PowerModeLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PowerModeLevel>

      public enum PowerModeLevel
      extends java.lang.Enum<PowerModeLevel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `High`
    `HT730High` for HT730
    `HT730Low`
    `HT730Medium`
    `HT730VeryLow`
    `Low`
    `Medium`
    `Normal`
    `RG768BHigh` power > 31dBm for RG768
    `RG768BLow`
    `RG768BMedium`
    `RG768BVeryLow`
    `RG768SHigh` power <= 31dBm for RG768
    `RG768SLow`
    `RG768SMedium`
    `RG768SVeryLow`
    `VeryLow`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `dutyCycle()` Get the duty cycle value.
    `int` | `idleTime()` Get the idle time value.
    `int` | `inventoryTime()` Get the inventory time value.
    `int` | `maxPercent()` Get the max percent value.
    `static java.lang.String[]` | `names()` Returns an array containing the name of this enum type.
    `int` | `percent()` Get the battery percent value.
    `int` | `value()` Get the enum value
    `static PowerModeLevel` | `valueOf(int code)` Returns the enum constant of this type with the specified code.
    `static PowerModeLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PowerModeLevel` | `valueOfName(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PowerModeLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Normal

          public static final PowerModeLevel Normal

    - #### High

          public static final PowerModeLevel High

    - #### Medium

          public static final PowerModeLevel Medium

    - #### Low

          public static final PowerModeLevel Low

    - #### VeryLow

          public static final PowerModeLevel VeryLow

    - #### RG768BHigh

          public static final PowerModeLevel RG768BHigh

      power > 31dBm for RG768

    - #### RG768BMedium

          public static final PowerModeLevel RG768BMedium

    - #### RG768BLow

          public static final PowerModeLevel RG768BLow

    - #### RG768BVeryLow

          public static final PowerModeLevel RG768BVeryLow

    - #### RG768SHigh

          public static final PowerModeLevel RG768SHigh

      power <= 31dBm for RG768

    - #### RG768SMedium

          public static final PowerModeLevel RG768SMedium

    - #### RG768SLow

          public static final PowerModeLevel RG768SLow

    - #### RG768SVeryLow

          public static final PowerModeLevel RG768SVeryLow

    - #### HT730High

          public static final PowerModeLevel HT730High

      for HT730

    - #### HT730Medium

          public static final PowerModeLevel HT730Medium

    - #### HT730Low

          public static final PowerModeLevel HT730Low

    - #### HT730VeryLow

          public static final PowerModeLevel HT730VeryLow

  - ### Method Detail

    - #### values

          public static PowerModeLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PowerModeLevel c : PowerModeLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PowerModeLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public int value()

      Get the enum value
      Returns:
        The value

    - #### percent

          public int percent()

      Get the battery percent value.
      Returns:
        The battery percent value.

    - #### maxPercent

          public int maxPercent()

      Get the max percent value.
      Returns:
        The max percent value.

    - #### dutyCycle

          public double dutyCycle()

      Get the duty cycle value.
      Returns:
        The duty cycle value.

    - #### inventoryTime

          public int inventoryTime()

      Get the inventory time value.
      Returns:
        The inventory time value.

    - #### idleTime

          public int idleTime()

      Get the idle time value.
      Returns:
        The idle time value.

    - #### valueOf

          public static PowerModeLevel valueOf(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code

    - #### valueOfName

          public static PowerModeLevel valueOfName(java.lang.String name)

      Returns the enum constant of this type with the specified name.
      Parameters:
        `name` - The name to check.
      Returns:
        The enum constant with the specified name.

    - #### names

          public static java.lang.String[] names()

      Returns an array containing the name of this enum type.
      Returns:
        An array containing the name of this enum type.